Date Created: Tue 21-Dec-2010

Related Document Categories:

Get my WebSphere Application Server course here >> http://www.themiddlewareshop.com/products/



Java compiler level does not match the version of the installed Java project face

I have opened an old project and replaced the referenced JDK Library from 1.5.22 to 1.6 and I get the following error

Java compiler level does not match the version of the installed Java project face




Solution is to go to the projects properties and set the correct facet.




There is a "Project Facets" section under the project's properties. I changed Java "version" to 6.0, and things were fine and the error went away.

Get my WebSphere Application Server course here >> http://www.themiddlewareshop.com/products/

Steve Robinson - IBM Champion 2013

About Me

Steve Robinson has been working in IT for over 20 years and has provided solutions for many large-enterprise corporate companies across the world. Steve specialises in Java and Middleware.

In January 2013, I was awarded the prestigous 'IBM Champion' accolade.


  • Linked In
  • Twitter
  • About Me
  • My Blog
  • Contact Me

Read my books?

IBM WebSphere Application Server 8.0 Administration Guide

IBM WebSphere Application Server 8.0 Administration Guide

WebSphere Application Server 7.0 Administration Guide

WebSphere Application Server 7.0 Administration Guide

WebSphere Categories

Other Categories